kind: pipeline
type: ssh
name: default

server:
  host: 192.168.1.54
  user: pi
  password:
    from_secret: password

steps:
- name: pull
  commands:
  - cd /home/pi/warframe-market-bot
  - git fetch --all
  - git reset --hard origin/master
- name: install
  commands:
  - cd /home/pi/warframe-market-bot
  - npm install
- name: restart
  commands:
  - export PM2_HOME=/home/pi/.pm2
  - pm2 restart warframe-market-bot
